#ifndef WEIFI_H
#define WEIFI_H

#include <WiFi.h>
#include <WiFiClient.h>
#include <WebServer.h>

#include <ElegantOTA.h>

#include "time.h"

#include "config.h"
#include "main.h"



#ifdef WEIFI
const char *ntpServer = "pool.ntp.org";
const long gmtOffset_sec = 3600;
const int daylightOffset_sec = 3600;

WebServer server(80);

#else 
extern WebServer server;

#endif


// #warning "You need to set the SSID and PASSWORD in weifi.h"

void connectToWifi();
struct tm gettheTime(int repeat);
void printLocalTime();


// void WiFiEvent(WiFiEvent_t event);


#endif